version: '3'

services:
  db:
    image: microsoft/mssql-server-linux:2017-latest
    volumes:
      - ./.db:/var/opt/mssql
      - ./arq:/var/backups
      - /var/opt/mssql/data
    ports:
      - 11433:1433
    environment:
      - ACCEPT_EULA=Y
      - MSSQL_SA_PASSWORD=DockerSql2017!
  rabbitmq:
    image: rabbitmq:3-management-alpine
    ports:
    - "15672:15672"
    - "5672:5672"
    environment:
      RABBITMQ_DEFAULT_USER: usuario
      RABBITMQ_DEFAULT_PASS: senha
      RABBITMQ_DEFAULT_VHOST: vhost
    volumes:
      - mq_data:/var/lib/rabbitmq/mnesia

volumes:
  mq_data: